[Checkins] SVN: Zope2.buildout/trunk/ Added more externals from the Zope trunk.

Florian Schulze florian.schulze at gmx.net
Tue Aug 26 11:32:31 EDT 2008


Log message for revision 90344:
  Added more externals from the Zope trunk.
  Move lib/python to src.
  

Changed:
  _U  Zope2.buildout/trunk/
  A   Zope2.buildout/trunk/configure
  D   Zope2.buildout/trunk/lib/python/
  U   Zope2.buildout/trunk/setup.py
  A   Zope2.buildout/trunk/src/

-=-

Property changes on: Zope2.buildout/trunk
___________________________________________________________________
Name: svn:externals
   - bootstrap       svn://svn.zope.org/repos/main/zc.buildout/trunk/bootstrap
skel            svn://svn.zope.org/repos/main/Zope/trunk/skel

   + bootstrap       svn://svn.zope.org/repos/main/zc.buildout/trunk/bootstrap
doc             svn://svn.zope.org/repos/main/Zope/trunk/doc
Extensions      svn://svn.zope.org/repos/main/Zope/trunk/Extensions
inst            svn://svn.zope.org/repos/main/Zope/trunk/inst
skel            svn://svn.zope.org/repos/main/Zope/trunk/skel
utilities       svn://svn.zope.org/repos/main/Zope/trunk/utilities


Copied: Zope2.buildout/trunk/configure (from rev 90337, Zope/trunk/configure)
===================================================================
--- Zope2.buildout/trunk/configure	                        (rev 0)
+++ Zope2.buildout/trunk/configure	2008-08-26 15:32:31 UTC (rev 90344)
@@ -0,0 +1,208 @@
+#!/bin/sh
+
+# Zope configure script
+# $Id$
+
+#####################################################################
+#                    BEGIN EDITABLE PARAMETERS                      #
+#####################################################################
+
+# Place the Zope major version number below.
+ZOPE_VERS=2.10
+
+# Place the optimal target version number for Zope (as returned by sys.version)
+# below
+TARGET="2.4.5"
+
+# Order a list of "acceptable" python version numbers (as returned by
+# sys.version) below in "best" to "worst" order, not including the
+# target version.  Up to six acceptable python versions are allowed.
+# Do not include the target version number in this list!
+ACCEPTABLE="2.4.4"
+
+# provide the executable names for all the acceptable versions
+# (and the target version) below
+EXENAMES="python python2 python2.4"
+
+#####################################################################
+#                    END EDITABLE PARAMETERS                        #
+#####################################################################
+
+# where are we?
+HERE=`dirname $0`
+
+# should we be quiet?
+QUIET=""
+
+usage()
+{
+    echo
+    echo "configure [--help] [--quiet] [--with-python=path] [--prefix=path] "
+    echo "          [--build-base=path] [--ignore-largefile] [--ignore-zlib]"
+    echo "          [--optimize]"
+    echo
+    echo " Creates a Makefile suitable for building and installing Zope"
+    echo
+    echo " Options: "
+    echo "  --help              shows usage and quits"
+    echo "  --quiet             suppress nonessential output"
+    echo "  --with-python       specify a path to a Python interpreter to use"
+    echo "  --prefix            specify an installation path for binary data"
+    echo "  --build-base        specify a temporary path for build files"
+    echo "  --ignore-largefile  ignore large file support warnings"
+    echo "  --ignore-expat      ignore warnings about expat/pyexpat"
+    echo "  --ignore-zlib       ignore warnings about zlib"
+    echo "  --optimize          optimize compiled Python bytecode"
+    echo "  --no-compile        Dont compile Python bytecode"
+    echo
+    echo " Given no options, configure will search your PATH for a suitable"
+    echo " Python interpreter and will use '/opt/Zope-$ZOPE_VERS' as a prefix."
+    echo
+}
+
+# bootstrap ourselves by finding a Python interpreter if necessary
+get_python() {
+    OLDIFS="$IFS"
+    IFS=":"
+    FOUND=""
+    VERSION=""
+    FOUNDLIST=""
+    out "Testing for an acceptable Python interpreter..."
+    out ""
+    for DIR in $PATH; do
+        IFS="$OLDIFS"
+        for EXECUTABLE in $EXENAMES; do
+            FULL="$DIR/$EXECUTABLE"
+            if [ -x "$FULL" -a ! -d "$FULL" ]; then
+                CMD="import string,sys;a=string.split(sys.version)[0]"
+		# Strip trailing + from version number
+		CMD="$CMD;a=(a[-1]=='+')and(a[:-1])or(a);print a"
+                VERSION=`"$FULL" -c "$CMD"`
+                out "  Python version $VERSION found at $FULL"
+                if [ "$VERSION" = "$TARGET" ]; then
+                    FOUND="$FULL"
+                    FOUNDVERSION=$VERSION
+                    break 2
+                else
+                    i=1;
+                    for ACC in $ACCEPTABLE; do
+                        i=`expr $i + 1`
+			for SLOT in $FOUNDLIST; do
+                            if [ $SLOT -eq $i ]; then
+                                # slot "i" already populated.  This means we've
+                                # already found this particular version of
+                                # python.  Continue the for ACC in 
+                                # $ACCEPTABLE loop and don't overwrite the
+                                # one we already found (interpreters first
+                                # on the path win).
+                                continue 2
+                            fi
+                        done
+                        if [ "$VERSION" = "$ACC" ]; then
+                            FOUNDLIST="$FOUNDLIST $i"
+                            eval "FOUND$i=$FULL"
+                            eval "FOUNDVERSION$i=$VERSION"
+                        fi
+                    done
+                fi
+            fi
+        done
+    done
+    if [ "$VERSION" = "$TARGET" ]; then
+        out ""
+        out "  The optimum Python version ($TARGET) was found at $FOUND."
+    elif [ -z "$FOUND1" ] && [ -z "$FOUND2" ] && [ -z "$FOUND3" ] &&
+         [ -z "$FOUND4" ] && [ -z "$FOUND5" ] && [ -z "$FOUND6" ] ; then
+        out ""
+        out "  No suitable Python version found.  You should install"
+        out "  Python version $TARGET before continuing."
+        if [ "$ACCEPTABLE" ]; then
+            out "  Versions $ACCEPTABLE also work, but not as optimally."
+        fi
+        exit 1
+    else
+        if   [ -n "$FOUND1" ]; then
+            FOUND=$FOUND1
+            FOUNDVERSION=$FOUNDVERSION1
+        elif [ -n "$FOUND2" ]; then
+            FOUND=$FOUND2
+            FOUNDVERSION=$FOUNDVERSION2
+        elif [ -n "$FOUND3" ]; then
+            FOUND=$FOUND3
+            FOUNDVERSION=$FOUNDVERSION3
+        elif [ -n "$FOUND4" ]; then
+            FOUND=$FOUND4
+            FOUNDVERSION=$FOUNDVERSION4
+        elif [ -n "$FOUND5" ]; then
+            FOUND=$FOUND5
+            FOUNDVERSION=$FOUNDVERSION5
+        elif [ -n "$FOUND6" ]; then
+            FOUND=$FOUND6
+            FOUNDVERSION=$FOUNDVERSION6
+        fi
+        out ""
+        out "  !! WARNING !! "
+        out "  An acceptable, but non-optimal Python version ($FOUNDVERSION) "
+        out "  was found at '$FOUND'."
+        out "  But consider installing version '$TARGET' before running "
+        out "  'make'.  If this isn't the Python version or interpreter "
+        out "  instance you wish to use, you may specify a Python interpreter"
+        out "  manually by rerunning the ./configure script with the "
+        out "  '--with-python' option."
+    fi
+    out ""
+}
+
+out() {
+    
+    if [ -z "$QUIET" ]; then
+        echo $1
+    fi
+}
+
+NEWOPTS=""
+
+for OPT in $@; do
+    case "$OPT" in
+    --h* | -h*)
+        usage
+        exit 0
+        ;;
+    --with-python=*)
+        # pop this argument from the arglist, it is not valid to
+        # pass this along to the Python configurator.
+        shift;
+        FOUND=`echo $OPT | sed -e 's/--with-python\=//'`
+        # use eval to do tilde expansion below
+        eval "FOUND='$FOUND'"
+        out ""
+        out "Using Python interpreter at $FOUND"
+        ;;
+    --with-python)
+	# in case someone passed in a --with-python without a value,
+        # we raise an error instead of passing it along to configure.py
+        # (which would raise an inscrutable error were it to receive this
+        # option).
+        out "--with-python argument requires an option"
+	exit 1
+        ;;
+    --quiet* | -q*)
+        QUIET="true"
+        NEWOPTS="$NEWOPTS $OPT"
+        ;;
+    *)
+        NEWOPTS="$NEWOPTS $OPT"
+        ;;
+    esac
+done
+
+out ""
+out "Configuring Zope installation"
+out ""
+
+if [ -z "$FOUND" ]; then
+    get_python
+fi
+
+# run the Python configurator
+"$FOUND" "$HERE/inst/configure.py" $NEWOPTS

Modified: Zope2.buildout/trunk/setup.py
===================================================================
--- Zope2.buildout/trunk/setup.py	2008-08-26 15:25:34 UTC (rev 90343)
+++ Zope2.buildout/trunk/setup.py	2008-08-26 15:32:31 UTC (rev 90344)
@@ -15,7 +15,7 @@
 """
 from setuptools import setup, find_packages, Extension
 
-EXTENSIONCLASS_INCLUDEDIRS = ['include', 'lib/python']
+EXTENSIONCLASS_INCLUDEDIRS = ['include', 'src']
 
 setup(name='Zope2',
       version = '2.12.dev',
@@ -26,8 +26,8 @@
       author_email='zope-dev at zope.org',
       long_description='',
       
-      packages=find_packages('lib/python'),
-      package_dir={'': 'lib/python'},
+      packages=find_packages('src'),
+      package_dir={'': 'src'},
 
       data_files=[
         ('skel', ['skel/README.txt']),
@@ -60,7 +60,7 @@
         Extension(
               name='AccessControl.cAccessControl',
               include_dirs=EXTENSIONCLASS_INCLUDEDIRS,
-              sources=['lib/python/AccessControl/cAccessControl.c'],
+              sources=['src/AccessControl/cAccessControl.c'],
               depends=['include/ExtensionClass/ExtensionClass.h',
                        'include/ExtensionClass/pickle/pickle.c',
                        'include/Acquisition/Acquisition.h']),
@@ -69,69 +69,69 @@
         Extension(
               name='ComputedAttribute._ComputedAttribute',
               include_dirs=EXTENSIONCLASS_INCLUDEDIRS,
-              sources=['lib/python/ComputedAttribute/_ComputedAttribute.c'],
+              sources=['src/ComputedAttribute/_ComputedAttribute.c'],
               depends=["include/ExtensionClass/ExtensionClass.h"]),
 
         # DocumentTemplate
         Extension(
               name='DocumentTemplate.cDocumentTemplate',
               include_dirs=EXTENSIONCLASS_INCLUDEDIRS,
-              sources=['lib/python/DocumentTemplate/cDocumentTemplate.c']),
+              sources=['src/DocumentTemplate/cDocumentTemplate.c']),
 
         Extension(
               name='MultiMapping._MultiMapping',
               include_dirs=EXTENSIONCLASS_INCLUDEDIRS,
-              sources=["lib/python/MultiMapping/_MultiMapping.c"],
+              sources=["src/MultiMapping/_MultiMapping.c"],
               depends=["include/ExtensionClass/ExtensionClass.h"]),
         Extension(
               name='ThreadLock._ThreadLock',
               include_dirs=EXTENSIONCLASS_INCLUDEDIRS,
-              sources=["lib/python/ThreadLock/_ThreadLock.c"],
+              sources=["src/ThreadLock/_ThreadLock.c"],
               depends=["include/ExtensionClass/ExtensionClass.h"]),
         Extension(
               name='Missing._Missing',
               include_dirs=EXTENSIONCLASS_INCLUDEDIRS,
-              sources=["lib/python/Missing/_Missing.c"],
+              sources=["src/Missing/_Missing.c"],
               depends=["include/ExtensionClass/ExtensionClass.h"]),
         Extension(
               name='Record._Record',
               include_dirs=EXTENSIONCLASS_INCLUDEDIRS,
-              sources=["lib/python/Record/_Record.c"],
+              sources=["src/Record/_Record.c"],
               depends=["include/ExtensionClass/ExtensionClass.h"]),
 
         # initgroups
         Extension(
               name='initgroups._initgroups',
-              sources=['lib/python/initgroups/_initgroups.c']),
+              sources=['src/initgroups/_initgroups.c']),
 
         # indexes
         Extension(
               name='Products.PluginIndexes.TextIndex.Splitter.'
                    'ZopeSplitter.ZopeSplitter',
-              sources=['lib/python/Products/PluginIndexes/TextIndex/Splitter/'
+              sources=['src/Products/PluginIndexes/TextIndex/Splitter/'
                        'ZopeSplitter/src/ZopeSplitter.c']),
         Extension(
               name='Products.PluginIndexes.TextIndex.Splitter.'
                    'ISO_8859_1_Splitter.ISO_8859_1_Splitter',
-              sources=['lib/python/Products/PluginIndexes/TextIndex/Splitter/'
+              sources=['src/Products/PluginIndexes/TextIndex/Splitter/'
                        'ISO_8859_1_Splitter/src/ISO_8859_1_Splitter.c']),
         Extension(
               name='Products.PluginIndexes.TextIndex.Splitter.'
                    'UnicodeSplitter.UnicodeSplitter',
-              sources=['lib/python/Products/PluginIndexes/TextIndex/Splitter/'
+              sources=['src/Products/PluginIndexes/TextIndex/Splitter/'
                        'UnicodeSplitter/src/UnicodeSplitter.c']),
         Extension(
               name='Products.ZCTextIndex.stopper',
-              sources=['lib/python/Products/ZCTextIndex/stopper.c']),
+              sources=['src/Products/ZCTextIndex/stopper.c']),
         Extension(
               name='Products.ZCTextIndex.okascore',
-              sources=['lib/python/Products/ZCTextIndex/okascore.c']),
+              sources=['src/Products/ZCTextIndex/okascore.c']),
 
         # MethodObject
         Extension(
               name='MethodObject._MethodObject',
               include_dirs=EXTENSIONCLASS_INCLUDEDIRS,
-              sources=['lib/python/MethodObject/_MethodObject.c'],
+              sources=['src/MethodObject/_MethodObject.c'],
               depends=["include/ExtensionClass/ExtensionClass.h"]),
 
       ],

Copied: Zope2.buildout/trunk/src (from rev 90337, Zope2.buildout/trunk/lib/python)


Property changes on: Zope2.buildout/trunk/src
___________________________________________________________________
Name: svn:ignore
   + Zope2.egg-info

Name: svn:externals
   + AccessControl       svn://svn.zope.org/repos/main/Zope/trunk/lib/python/AccessControl
App                 svn://svn.zope.org/repos/main/Zope/trunk/lib/python/App
ComputedAttribute   svn://svn.zope.org/repos/main/Zope/trunk/lib/python/ComputedAttribute
DocumentTemplate    svn://svn.zope.org/repos/main/Zope/trunk/lib/python/DocumentTemplate
Globals             svn://svn.zope.org/repos/main/Zope/trunk/lib/python/Globals
HelpSys             svn://svn.zope.org/repos/main/Zope/trunk/lib/python/HelpSys
Lifetime            svn://svn.zope.org/repos/main/Zope/trunk/lib/python/Lifetime
MethodObject        svn://svn.zope.org/repos/main/Zope/trunk/lib/python/MethodObject
Missing             svn://svn.zope.org/repos/main/Zope/trunk/lib/python/Missing
MultiMapping        svn://svn.zope.org/repos/main/Zope/trunk/lib/python/MultiMapping
OFS                 svn://svn.zope.org/repos/main/Zope/trunk/lib/python/OFS
Products            svn://svn.zope.org/repos/main/Zope/trunk/lib/python/Products
Record              svn://svn.zope.org/repos/main/Zope/trunk/lib/python/Record
Shared              svn://svn.zope.org/repos/main/Zope/trunk/lib/python/Shared
Signals             svn://svn.zope.org/repos/main/Zope/trunk/lib/python/Signals
Testing             svn://svn.zope.org/repos/main/Zope/trunk/lib/python/Testing
ThreadLock          svn://svn.zope.org/repos/main/Zope/trunk/lib/python/ThreadLock
TreeDisplay         svn://svn.zope.org/repos/main/Zope/trunk/lib/python/TreeDisplay
ZClasses            svn://svn.zope.org/repos/main/Zope/trunk/lib/python/ZClasses
ZPublisher          svn://svn.zope.org/repos/main/Zope/trunk/lib/python/ZPublisher
ZServer             svn://svn.zope.org/repos/main/Zope/trunk/lib/python/ZServer
ZTUtils             svn://svn.zope.org/repos/main/Zope/trunk/lib/python/ZTUtils
Zope2               svn://svn.zope.org/repos/main/Zope/trunk/lib/python/Zope2
initgroups          svn://svn.zope.org/repos/main/Zope/trunk/lib/python/initgroups
nt_svcutils         svn://svn.zope.org/repos/main/Zope/trunk/lib/python/nt_svcutils
reStructuredText    svn://svn.zope.org/repos/main/Zope/trunk/lib/python/reStructuredText
tempstorage         svn://svn.zope.org/repos/main/Zope/trunk/lib/python/tempstorage
webdav              svn://svn.zope.org/repos/main/Zope/trunk/lib/python/webdav
zExceptions         svn://svn.zope.org/repos/main/Zope/trunk/lib/python/zExceptions





More information about the Checkins mailing list